<head>
    <title>LSV - Rental review</title>
</head>

{% extends 'base.html' %}
{% load static %}

{% block content %}
    <h1 class="text-uppercase">Rental review</h1>
    <div>
        <form action>
            <h4 style="margin: 0">
                <label for="category_select">Choose a category:</label>
                <select name="category_select" id="current_category">
                    <option value="0">--If you want...--</option>
                    {% for category in category_list %}
                        <option value="{{ category.id }}">{{ category.category }}</option>
                    {% endfor %}
                </select>
            </h4>

            <h4 style="margin: 0">
                <label for="manufacturer_select">Choose a manufacturer:</label>
                <select name="manufacturer_select" id="current_manufacturer">
                    <option value="0">--If you want...--</option>
                    {% for manufacturer in manufacturer_list %}
                        <option value="{{ manufacturer.id }}">{{ manufacturer.m_name }}</option>
                    {% endfor %}
                </select>
            </h4>

            <h4 style="margin: 0">
                <input type="submit" value="Filter" class="btn btn-primary">
            </h4>
        </form>
    </div>

    {% if current_manufacturer == 0 and current_category == 0 %}
        {% if item_list %}
            <h2>No filters used.</h2>
            <div class="wrapper" style="margin: 10px">
                {% for item in item_list %}
                    {% include 'rental_review_card.html' %}
                {% endfor %}
            </div>
        {% else %}
            <h2>Nothing to show, invalid combination of filters.</h2>
        {% endif %}

    {% elif current_category == 0 and current_manufacturer > 0 %}
        {% if manufacturer_filter_list %}
            <h2>You choose filter for manufacturer:
                {% for manufacturer in current_manufacturer_name %}
                    <b style="text-transform:uppercase">{{ manufacturer.m_name }} </b>
                {% endfor %}
            </h2>
            <div class="wrapper" style="margin: 10px">
                {% for item in manufacturer_filter_list %}
                    {% include 'rental_review_card.html' %}
                {% endfor %}
            </div>
        {% else %}
            <h2>Nothing to show, invalid combination of filters.</h2>
        {% endif %}

    {% elif current_manufacturer == 0 and current_category > 0%}
        {% if category_filter_list %}
            <h2>You choose filter for category:
                {% for category in current_category_name %}
                    <b style="text-transform:uppercase">{{ category.category }} </b>
                {% endfor %}
            </h2>
            <div class="wrapper" style="margin: 10px">
                {% for item in category_filter_list %}
                    {% include 'rental_review_card.html' %}
                {% endfor %}
            </div>
        {% else %}
            <h2>Nothing to show, invalid combination of filters.</h2>
        {% endif %}

    {% else %}
        {% if combination_filter_list %}
        <h2>You choose filter for category:
            {% for category in current_category_name %}
                <b style="text-transform:uppercase">{{ category.category }} </b>
            {% endfor %}
            and manufacturer:
            {% for manufacturer in current_manufacturer_name %}
                <b style="text-transform:uppercase">{{ manufacturer.m_name }} </b>
            {% endfor %}
        </h2>
        <div class="wrapper" style="margin: 10px">
            {% for item in combination_filter_list %}
                {% include 'rental_review_card.html' %}
            {% endfor %}
        </div>
        {% else %}
            <h2>Nothing to show, invalid combination of filters.</h2>
        {% endif %}

    {% endif %}

{% endblock %}
